#!/bin/sh

host=$1
url=$2

function get_file {
        echo "  == fetching config file $host $url/$1"                
        /usr/local/bin/tftp $host > /dev/null <<EOF      
timeout 1                                                
get $url/$1                                        
EOF
}
function reload_settings {
	echo "reloading settings"
	STR=$(echo 'rd'|nc localhost 54322 -q1)
	sleep 1
	STR=$(echo 'rs'|nc localhost 54322 -q1)
}
cd /usr/conf/
if [ -s conf-update.conf ]; then
	. conf-update.conf
	
	if [ "$CONF_DOWNLOAD" = "yes" ] ; then
		echo "  = tftp-update: checking for files on $host:/$url"
		mkdir -p backup
		cp -f isgw.* backup/
		cp -f isdn.conf backup/
		rm -rf isgw.conf isgw.sip isgw.dialplan isgw.isdn
		rm -rf isdn.conf
		sync	
		get_file isdn.conf
		get_file isgw.conf
		get_file isgw.dialplan
		get_file isgw.isdn
		get_file isgw.sip
		get_file isgw.causes
		get_file isgw.cpt
		sync
		sleep 1
		/usr/bin/env -i bash -c "/usr/local/www/berogui/misc/ini_to_db.php"
	 	if [ "$?" -eq 0 ] ; then
			rm -f backup/isgw.*
			rm -f backup/isdn.conf
			sync
			echo "tftp_config_update:success"
		else
			echo "Restore old Config"
			mv -f backup/isgw.* .
			mv -f backup/isdn.conf .
			/usr/bin/env -i bash -c "/usr/local/www/berogui/misc/ini_to_db.php"
			sync
			echo "tftp_config_update:error:Check_Config_Files"
		fi
		
	else
		echo "tftp_config_update:failed:No_Config_Download_Selected"
	fi
	sync
else
		echo "tftp_config_update:failed:Downloading_conf-update.conf"
fi

		rm -f /usr/conf/conf-update.conf
sync

